package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.Set;

/**
 * @author Mount Liu
 * @date 2020/6/30
 */
public class LibTeacherInfoDto implements Serializable {

    private static final long serialVersionUID = 4131119760014143535L;

    /**
     * 老师姓名
     */
    private String teacherName;
    /**
     * 校区id
     */
    private String libId;
    /**
     * 校区名称
     */
    private String libName;
    /**
     * 科目，如：[“语文”,”数学”]
     */
    private Set<String> subjectList;

    /**
     * 角色模块（2：现场管理；10：学科答疑；15：作业标注），如：[2,15]
     */
    private Set<Integer> typeList;
    /**
     * 状态：1未注册，2注册审核中，3注册审核失败，4审核通过
     */
    private int status;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getLibName() {
        return libName;
    }

    public void setLibName(String libName) {
        this.libName = libName;
    }

    public Set<String> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(Set<String> subjectList) {
        this.subjectList = subjectList;
    }

    public Set<Integer> getTypeList() {
        return typeList;
    }

    public void setTypeList(Set<Integer> typeList) {
        this.typeList = typeList;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
